> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/43.-consulta-obter-talhoes.md).

# 43. Consulta: Obter "Talhões"

Consulta para obter os "Fields" do usuário com filtros por `rótulos`, `farmUuid`, `fieldUuid`, `nomeDoCampo`. Os campos retornados em ordem alfabética pelo nome do campo.&#x20;

O filtro de campo funciona como condição E, por exemplo, é possível filtrar por `farmUuid` e por `fieldUuid` e por `rótulos` e por `nomeDoCampo` na mesma consulta ou usar apenas uma condição de filtro ou não usar condição alguma.&#x20;

Filtrar por `nomeDoCampo` funciona como `começa_com`.&#x20;

Para implementar a lógica de paginação, use o parâmetro de consulta `tamanhoDaPagina`. Há `ultimaChaveAvaliada` e `contagemTotal` na resposta, onde `ultimaChaveAvaliada` refere-se ao último registro processado que corresponde à condição de filtro e `contagemTotal` é o número total de registros que correspondem às condições de filtragem.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta FilterFields {
  getFields(
    filtro: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      rótulos: [{ nome: "name1", valor: "value1" }]
      tamanhoDaPagina: 2
      ultimaChaveAvaliada: {
        ChaveDeOrdenação: "<some_key>"
        ChaveDePartição: "<some_key>"
        TagString: "<some_key>"
      }
      nomeDoCampo: "Exemplo"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      nome
      labels {
        nome
        value
      }
      contagemTotal
    }
    ultimaChaveAvaliada {
      ChaveDeOrdenação
      ChaveDePartição
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/43.-consulta-obter-talhoes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
